{% extends 'base.html.twig' %}

{% block title %}{{article.name}}{% endblock %}

{% block body %}
<div class="container">
    <div class="row mt-4">
        <div class="col-md-12 col-lg-6">
            <img class="d-block w-100" style="object-fit: cover; overflow: hidden;" src="{{asset(article.photo)}}" alt="">
        </div>
        <div class="col-md-12 col-lg-6">
            <div class="jumbotron" style="height: 100%;">
                <h1 class="display-3">{{article.name}}</h1>
                <p class="lead">{{article.description}}</p>
                <hr class="my-4">
                {% if article.options is not null %}
                <form action="{{ path('cart', {'article': article.id}) }}" id="choiceForm" class="form-horizontal"
                    method="POST">
                    {% for option in article.options %}
                    <div class="form-group">
                        <label class="control-label" for="{{option.label}}">{{option.label}}</label>
                        <select class="form-control" name="{{option.label}}" form="choiceForm" id="{{option.label}}">
                            {% for choice in option.choice %}
                            <option>{{choice}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    {% endfor %}
                    <div class="form-group">
                        <label class="control-label" for="quantity">Quantité</label>
                        <input class="form-control" type="number" name="quantity" id="quantity" value="1" min="1">
                    </div>
                    {% if article.stock == 0 %}
                        <h3 class="text-primary text-center">Cet article n'est plus disponible</h3>
                    {% else %}
                    <div class="form-group">
                        <p class="lead align-right">
                            <button role="button" name="cart" value="cart" class="m-1 btn btn-primary">
                                <i class="fas fa-shopping-cart m-1"></i>Ajouter au panier
                            </button>
                            <button role="button" name="wish" value="wish" class="m-1 btn">
                                <i class="fas fa-heart m-1 text-primary"></i>WishList
                            </button>
                        </p>
                    </div>
                    {% endif %}
                </form>
                {% endif %}
            </div>
        </div>
    </div>
    {# Articles associés #}
    <hr class="my-4">
    <div class="row justify-content-around">
        <h3 class="col-12 text-center mb-5">Suggestion d'article de {{owner.name}}</h3>
        {% set switch = false %}
        {% for articleOwners in owner.articles|slice(0, 3) %}
            {% if article == articleOwners %}
                {% set switch = true %}
            {% endif %}
        {% endfor %} 
        {% if switch == false %} 
            {% for articleOwners in owner.articles|slice(0, 3) %}
                <div class="col-sm-6 col-md-4">
                    <div>
                        <a href="{{path("article", {"article": articleOwners.id})}}">
                            <img  style="object-fit: cover; height: 30vh; overflow:hidden" src="{{asset(articleOwners.photo)}}" alt="Card image" class="w-100">
                            <h3 class="text-center">
                                    {{articleOwners.name}}
                            </h3>
                        </a>
                    </div>
                </div>
            {% endfor %}
        {% else %}
            {% for articleOwners in owner.articles|slice(0, 4) %}
                {% if articleOwners != article %}
                    <div class="col-sm-6 col-md-4">
                        <div>
                            <a href="{{path("article", {"article": articleOwners.id})}}">
                                    <img  style="object-fit: cover; height: 30vh; overflow:hidden" src="{{asset(articleOwners.photo)}}" alt="Card image" class="w-100">
                                <h3 class="text-center">
                                    {{articleOwners.name}}
                                </h3>
                            </a>
                        </div>
                    </div>
                {% endif %}            
            {% endfor %}
        {% endif %}
    </div>
    {# Commentaires #}
    <div class="row mt-5">
        <div class="col-8">
            {% for comment in article.comments %}
            <div class="mb-4">
                <div class="card border-primary">
                    <div class="card-header">
                        <p class="text-danger">
                            {% for x in 0..4 %}
                                {% if comment.note|round(2, 'floor') - x >= 1 %}
                                    <i style="color: rgb(251, 217, 19)" class="fa fa-star gold"></i>
                                {% elseif comment.note - x > 0 %}
                                    <i style="color: rgb(251, 217, 19)" class="fas fa-star-half-alt"></i>
                                    <i style="color: rgb(251, 217, 19)" class="fa fa-star-half-o gold"></i>
                                {% else %}
                                    <i style="color: rgb(251, 217, 19)" class="far fa-star"></i>
                                {% endif %}
                            {% endfor %}
                            - {{comment.user}}
                        </p>
                        <p class="text-right pb-0 mb-0 text-muted">Le {{comment.date|date('d-m-Y')}} à
                            {{comment.date|date('H')}}h{{comment.date|date('i')}}</p>
                    </div>
                    <div class="card-body">
                        <p>{{comment.message}}</p>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
        <div class="col-4">
            <div class="border rounded-sm p-2">
                {% if is_granted('ROLE_USER') %}
                    {{form_start(form)}}
                    <h3 class="text-center text-primary">Commenter :</h3>
                    {{form_widget(form)}}
                    <button class="btn btn-outline-primary btn-block">Submit</button>
                    {{form_end(form)}}
                {% else %}
                <div style="min-height: 20vh" class="h-100">
                    <a href="{{path('login')}}" class="btn btn-primary btn-block my-auto">Connectez-vous pour commenter</a>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>
{% endblock %}